Bug 852125 - can't save a process if use '<' or '>' in a sequence Flow's name
can't save a process if use '<' or '>' in a sequence Flow's name
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 12:24 EDT by Tihomir Surdilovic
Modified: 2014-10-26 21:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A Process Designer error occurred when attempting to save a sequence with the '<' and '>' characters. While using these characters, users were unable to save the process they were working on. This has been fixed by using html-escaping name properties. Users can now save these processes.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3651 Major Resolved can't save a process if use '<' or '>' in a sequence Flow's name 2012-11-21 02:25:56 EST

  None (edit)
Description Tihomir Surdilovic 2012-08-27 12:24:16 EDT
1- create a diagram in web-designer with these component : a)start node b)task c)end node d)q sequence connecting start node to task e)a sequence connecting task to end 
2-put '<' as name of first sequence
3-put '>' as name of second sequence
4- save process
5- re-open the diagram , there is nothing there !!!!!
Comment 1 Sona Mala 2012-09-18 07:18:10 EDT
Verified for BRMS 5.3.1 ER1 (RHEL6,Derby)
Comment 2 Douglas Hoffman 2012-11-07 19:20:29 EST
Hey guys,

Thanks for the doc text for this bug. I'm updating it for the Release Notes.

-Doug

Note You need to log in before you can comment on or make changes to this bug.